# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-07-19 14:09
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import jsonfield.fields
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('shopify_id', models.IntegerField()),
                ('data', jsonfield.fields.JSONField(blank=True, null=True)),
                ('clones', models.ManyToManyField(related_name='_product_clones_+', to='django_shopify_synchronizer.Product')),
            ],
        ),
        migrations.CreateModel(
            name='Shop',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('domain', models.CharField(max_length=256, verbose_name='Shop Domain')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SyncLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('webhook_topic', models.CharField(blank=True, max_length=32, null=True)),
                ('webhook_data', jsonfield.fields.JSONField(blank=True, null=True)),
                ('webhook_domain', models.CharField(blank=True, max_length=256, null=True)),
                ('action', models.CharField(choices=[('CREATE', 'Create'), ('UPDATE', 'Update'), ('DELETE', 'Delete')], max_length=8, verbose_name='Sync action')),
                ('exit_status', models.CharField(blank=True, choices=[('SUCCESS', 'Success'), ('FAIL', 'Fail')], max_length=8, null=True, verbose_name='Exist status')),
                ('dst', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dst_sync', to='django_shopify_synchronizer.Product')),
                ('src', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='src_sync', to='django_shopify_synchronizer.Product')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='product',
            name='shop',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.Shop'),
        ),
        migrations.AlterUniqueTogether(
            name='product',
            unique_together=set([('shop', 'shopify_id')]),
        ),
    ]
